"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const date_fns_1 = require("date-fns");
// import WinstonGraylog2 from "winston-graylog2"
const getGraylogServerOptions = () => {
    if (process.env.GRAYLOG_HOST) {
        return { host: process.env.GRAYLOG_HOST, port: 12201 };
    }
    return null;
};
const GraylogServerOptions = getGraylogServerOptions();
class Logger {
    constructor(name) {
        this.error = console.error;
        this.warn = console.warn;
        this.info = console.info;
        this.debug = console.debug;
        this.table = console.table;
        this._name = name;
        if (!Logger._logger) {
            Logger._logger = console;
            // Logger._logger = new winston.Logger({
            //   transports
            // })
        }
    }
    _getLogMessage(log) {
        const timestamp = date_fns_1.format(Date.now(), "DD.MM HH:mm:ss");
        if (typeof log === "object") {
            const { message } = log, rest = __rest(log, ["message"]);
            return `${this._name}: ${timestamp}-${message} ${JSON.stringify(rest)}`;
        }
        return `${this._name}: ${timestamp}-${log}`;
    }
}
exports.Logger = Logger;
//# sourceMappingURL=index.js.map